<!doctype html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE-edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.4/themes/start/jquery-ui.css">
		<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
		<script src="https://ajax.aspnetcdn.com/ajax/jquery.validate/1.13.0/jquery.validate.js"></script>
		
		<script>
			$(function(){
				$("#date").datepicker({
					dateFormat : "dd-mm-yy",
					color : "red",
					changeMonth : true,
					changeYear : true,
					maxDate: new Date('26-03-2099'),
					minDate: new Date('01-01-1900'),
				}),
				$("#form1").wallpaper();
			});
		</script>
		</script>
		<style>
			body {
        	background-image: url("ques.jpg");
        	background-repeat: no-repeat;
        	background-size: 100%;
        }

		form {
			 background-color: black;
			 color : white;
	  	     text-align: center;
	  		 width: 350px;
			 border: 6px solid darkblue;
			 border-radius: 25px;
			 padding: 40px;
			 margin-left: auto;
	         margin-right: auto;
	         margin-top: 50px;
	  			}
	  	button {
			  display: inline-block;
			  padding: 5px 5px;
			  font-size: 13px;
			  cursor: pointer;
			  text-align: center;
			  color: black;
			  background-color: aliceblue;
			  border-radius: 15px;
			  box-shadow: 0 4px #999;
			}
		td {
			padding: 5px;
		}

		label {
			font-family: "Times New Roman";
			font-style: italic;
		}
		</style>
    </head>
    <body>
    	<form action="" method = "post" id = "form1">
    		<img src="register.png" height=80px width=100px style="border-radius: 80px;">
    		<h1 style="color: mediumvioletred; ">Registration Form</h1>
    		<hr>
    		<table id = "t1">
    		<tr><td>
    		<label><b>First Name :</b></label></td><td>
    		<input type="text" id = "f1" name="Firstname"  maxlength="10" required><br>
    		</td></tr>

    		<tr><td>
    		<label><b>Middle Name :</b></label></td><td>
    		<input type="text" id = "m1" name="Midname" maxlength="10" required><br>
    		</td></tr>

    		<tr><td>
    		<label><b>Last Name :</b></label></td><td>
    		<input type="text" id = "l1" name="Lastname " maxlength="10" required><br> 
    		</td></tr>

    		<tr><td>
    		<label><b>Gender:</b> </label> </td><td>   
			<input type="radio" id="gender" name="gender" value="male" > Male  
			<input type="radio" id="gender" name="gender" value="female"/ > Female
			<input type="radio" id="gender" name="gender" value="female"/ > Others <br/> </td></tr>

			<tr><td>
			<label><b>Phone No. : </b></label></td><td>
			<input type="text" name="Phone Number" pattern="[7-9]{1}[0-9]{9}" 
       		title="Phone number with 7-9 and remaing 9 digit with 0-9" required><br>
			</td></tr>

			<tr><td>
			<label><b>Email :</b> </label> </td><td> 
            <input type="email" id="email" name="email"/ required> <br> 
           </td></tr>

            <tr><td>
           <label><b>Address :</b> </label> </td><td> 
    		<textarea rows="1" cols="20" ></textarea>  <br> </td></tr>

    		<tr><td>
    		<label><b>Birth Date :</b> </label></td><td>
    		<input type="text" id = "date" required>  <br> </td></tr>
    		</table> 
    		<br><hr><br>
    		<button type = "submit" id = "s1" value="Submit">Submit</button>&nbsp;&nbsp;&nbsp;
    		<button type = "reset" value="Submit">Reset</button>
    	</form>
    	<script>
    		var x = $("#p1").val();
    		$(document).ready(function() {
			$("#form1").validate({
				jQuery.validator.addMethod("email", function(value, element) {

			  return this.optional( element ) || /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@(?:\S{1,63})+.com)$/.test( value );

			}, 'Please enter a valid email address.');
						});
						});
		</script>
    </body>
</html>